<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Неоплаченные счета');
$title->GetHeader();
if ($b['level'] < 5) {
header('location: /');
die();
}
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/administration/"style="text-decoration:none; color:white;"> Дата-центр</a> :: <a href="billing.html"style="text-decoration:none; color:white;"> Биллинг</a> :: Неоплаченные счета</div></div>';
if (isset($_GET['ok'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ok'])]);
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` + ? WHERE `id` = ?", [$arr['rur'],$arr['user_id']]);
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [1,$arr['id']]);
if (user_inf($arr['user_id'], 'wm') == 0) {
DB::$dbs->query("UPDATE `blogger` SET `wm` = ? WHERE `id` = ?", [1,$arr['user_id']]);
}
$kom = 'Ваша заявка пополнение баланса на [b]'.$arr['rur'].'[/b] руб подтверждена!';
jurnal($arr['user_id'],$kom,6);
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", [$arr['user_id'],$kom,time()]);
header('location: ?');
}
if (isset($_GET['ot'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ot'])]);
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [2,$arr['id']]);
header('location: ?');
$kom = 'Ваша заявка пополнение баланса на [b]'.$arr['rur'].'[/b] руб аннулирована!';
jurnal($arr['user_id'],$kom,6);
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM pay WHERE type = ?", [3]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM pay WHERE type = ? ORDER BY id DESC LIMIT $start,$num", [3]);
if ($sql -> rowCount() == 0) {
err('Неоплаченных счетов нет!');
} else {
while($a = $sql->fetch()) {
$arrtype = [0 => 'Не оплачен', 1 => 'Оплачен', 2 => 'Аннулирован', 3 => 'Ожидание проверки Администратора'];
$type = strtr($a['type'], $arrtype);
echo '<div class="list-group-item media"><i class="zmdi zmdi-shuffle"></i>  Запрос от: '.Nick($a['user_id']).' ('.vr($a['time']).')<br/>Номер счета <b>'.$a['prim'].'</b> (сумма: <b>'.$a['rur'].'р.</b>) <br/>';
echo ($a['type'] != 1 ? '<b><a href="?ok='.$a['id'].'">[Подтвердить]</a></b>':NULL).' '.($a['type'] != 0 ? ' или <b><a href="?ot='.$a['id'].'">[Отменить]</a></b>':NULL);
echo '<br/>Статус: <font color="red"><b>'.$type.'</b></font></div>';
}
}
if ($k_page > 1) {
str('?',$k_page,$page);
}
$title->GetMenu();
$title->GetFooter();
?>